package com.chinaitop.depot.feign;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.Map;

@FeignClient(value = "depot-system")
public interface OrgFeignService {

	/**
	 * 获取orgName
	 * @param username
	 * @param password
	 * @return
	 */
	@RequestMapping(value = "/orgInfo/getOrgName", produces = MediaType.APPLICATION_JSON_VALUE, method=RequestMethod.GET)
	String getOrgName(@RequestParam("state") Integer state);


	
}
